MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000310Community[OCCT] OCCT:Foundation Classespublic2002-04-17 17:152011-12-15 17:54
Reporteremo 
Assigned Topop 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.0.0 
Summary0000310: another bug in OSD_Path::UpTrek
DescriptionStephane Routelous stephane.routelous@sympatico.ca has added this bug at
http://www.opencascade.org/forumorg/bug.php?bug_id=43&f=8 [^]

Hi,

OSD_Path p("/where/you/want/tmp/qwerty/tmp/");
cout << p.Trek().ToCString() << endl;
p.UpTrek();
cout << p.Trek().ToCString() << endl;

output :
|where|you|want|tmp|qwerty|tmp|
|where|you|want|qwerty|tmp|

should be :
|where|you|want|tmp|qwerty|tmp|
|where|you|want|tmp|qwerty|
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2002-05-13 12:06 bugmaster Assigned To bugmaster => pop
2002-05-13 12:06 bugmaster Status new => assigned
2002-05-20 15:31 bugmaster Status assigned => verified
2002-08-01 18:38 bugmaster Status verified => closed
2002-08-01 18:38 bugmaster Resolution @0@ => fixed
2011-08-02 11:23 bugmaster Category OCCT:FDC => OCCT:Foundation Classes
2011-12-15 17:54 bugmaster Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker